View Issue Details

IDProjectCategoryView StatusLast Update
0007171CentOS-7centos-releasepublic2014-06-26 15:39
Reporteravij Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Summary0007171: /etc/os-release needs additional changes for debranding
DescriptionThe /etc/os-release as installed from the 20140614 tree looks like this:

NAME="CentOS Linux Server"
VERSION="7 (20140614-Broken)"
ID="rhel"
ID_LIKE="fedora"
VERSION_ID="7"
PRETTY_NAME="CentOS Linux Server 7 (20140614-Broken)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7:GA:server"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="CentOS Linux 7"
REDHAT_BUGZILLA_PRODUCT_VERSION=7
REDHAT_SUPPORT_PRODUCT="CentOS Linux"
REDHAT_SUPPORT_PRODUCT_VERSION=7

The "Server" text would need to be removed, and URLs should point to centos.org.

http://permalink.gmane.org/gmane.linux.kernel.containers.lxc.devel/5650 suggests the CPE_NAME should be something like "cpe:/o:centos:centos:7"

I'm unsure about the ID and ID_LIKE settings.
TagsNo tags attached.
abrt_hash
URL

Activities

kbsingh@karan.org

kbsingh@karan.org

2014-06-17 17:03

reporter   ~0019898

should be fixed in 2014-06-17 builds. please test and reopen if not
avij

avij

2014-06-24 19:34

updater   ~0020038

Currently /etc/os-release says:

NAME="CentOS Linux"
VERSION="7 (Broken)"
ID="centos"
ID_LIKE="rhel"
ID_LIKE="fedora"
VERSION_ID="7"
PRETTY_NAME="CentOS Linux 7 (Broken)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:centos:centos:7"
HOME_URL="https://www.centos.org/"
BUG_REPORT_URL="https://bugs.centos.org/"

I believe there should not be two ID_LIKE rows, only one. http://www.freedesktop.org/software/systemd/man/os-release.html has a very useful example: 'for an operating system with "ID=centos", an assignment of "ID_LIKE="rhel fedora"" would be appropriate.'
avij

avij

2014-06-26 15:39

updater   ~0020058

Looks fine now.

Issue History

Date Modified Username Field Change
2014-06-15 08:12 avij New Issue
2014-06-15 22:55 kbsingh@karan.org Status new => acknowledged
2014-06-16 20:15 avij Description Updated
2014-06-17 17:03 kbsingh@karan.org Note Added: 0019898
2014-06-17 17:03 kbsingh@karan.org Status acknowledged => resolved
2014-06-17 17:03 kbsingh@karan.org Resolution open => fixed
2014-06-17 17:03 kbsingh@karan.org Note View State: 0019898: public
2014-06-24 19:34 avij Note Added: 0020038
2014-06-24 19:34 avij Status resolved => feedback
2014-06-24 19:34 avij Resolution fixed => reopened
2014-06-26 15:39 avij Note Added: 0020058
2014-06-26 15:39 avij Status feedback => assigned
2014-06-26 15:39 avij Status assigned => resolved
2014-06-26 15:39 avij Resolution reopened => fixed